Skip to main content
GET
List messages

Authorizations

x-APIKey
string
header
required

The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.

Query Parameters

conversation_id
integer
required

The id of the conversation

per_page
integer
default:30

Number of items to return per page.

Required range: 1 <= x <= 100
cursor
string

The cursor identifiying the page of data to fetch. If no cursor is provided, the query will return the first page of data. A cursor for the next page of data is provided in the response of this request.

Response

OK

Response object

messages
Message · object[]

The list of messages for a specific conversation, paginated.

count
integer

Total number of results available for the filters and dimensions requested.

Example:

1

next_cursor
string | null

The cursor to use in order to retrieve the next page of data. When all data have been fetched, the value is null.